#include <std_include.hpp>
#include "loader/component_loader.hpp"
#include "localized_strings.hpp"
#include "game/game.hpp"

#include "dvars.hpp"
#include <utils/string.hpp>
#include "version.hpp"

// Ahrimdon
namespace branding
{
	class component final : public component_interface
	{
	public:
		void post_unpack() override
		{
			if (game::environment::is_dedi())
			{
				return;
			}

			if (game::environment::is_mp())
			{
				localized_strings::override("LUA_MENU_MULTIPLAYER_CAPS", "S1-MOD: MULTIPLAYER");
			}
			localized_strings::override("LUA_MENU_LEGAL_COPYRIGHT", "S1-MOD");

			dvars::override::set_string("version", utils::string::va("S1-Mod %s", VERSION));
		}
	};
}

REGISTER_COMPONENT(branding::component)
